package com.fightingchaos.VASSAL.build.module;

import VASSAL.build.module.BasicCommandEncoder;
import VASSAL.counters.Decorator;
import VASSAL.counters.GamePiece;

import com.fightingchaos.VASSAL.counters.Group;
import com.fightingchaos.VASSAL.counters.GroupRotator;

/**
 * Special command encode to be used for the special vassal commands of
 * fightingchaos. For usage see the documentation. In general you will
 * Expand this with your own encoder if you too have your own game pieces
 *
 */
public class EmpiresCommandEncoder extends BasicCommandEncoder {

	public Decorator createDecorator(String type, GamePiece inner){
		Decorator piece = null;
		if(type.startsWith(GroupRotator.ID)) {
			piece = new GroupRotator(type,inner);
		} else {
			return super.createDecorator(type, inner);
		}
		
		return piece;
	}
	
	public GamePiece createBasic(String type){
		if(type.startsWith(Group.TYPE)){
			 return new Group();
		}else {
			return super.createBasic(type);
		}
	}
}
